
//Scroll back to top

(function($) { "use strict";

	$(document).ready(function(){"use strict";
		
		var progressPath = document.querySelector('.progress-wrap path');
		var pathLength = progressPath.getTotalLength();
		progressPath.style.transition = progressPath.style.WebkitTransition = 'none';
		progressPath.style.strokeDasharray = pathLength + ' ' + pathLength;
		progressPath.style.strokeDashoffset = pathLength;
		progressPath.getBoundingClientRect();
		progressPath.style.transition = progressPath.style.WebkitTransition = 'stroke-dashoffset 10ms linear';		
		var updateProgress = function () {
			var scroll = $(window).scrollTop();
			var height = $(document).height() - $(window).height();
			var progress = pathLength - (scroll * pathLength / height);
			progressPath.style.strokeDashoffset = progress;
		}
		updateProgress();
		$(window).scroll(updateProgress);	
		var offset = 50;
		var duration = 550;
		jQuery(window).on('scroll', function() {
			if (jQuery(this).scrollTop() > offset) {
				jQuery('.progress-wrap').addClass('active-progress');
			} else {
				jQuery('.progress-wrap').removeClass('active-progress');
			}
		});				
		jQuery('.progress-wrap').on('click', function(event) {
			event.preventDefault();
			jQuery('html, body').animate({scrollTop: 0}, duration);
			return false;
		})











		$(function () {
			var images = $('.small-image'),
				main_image = $('.main-image img'),
				currentIndex = 0,
				imageCount = images.length;
		
			// Function to update the main image
			function updateImage(index) {
				var clicked_image = images.eq(index).attr('src');
				if (main_image.attr('src') !== clicked_image) {
					main_image.fadeOut(600, function () {
						main_image.attr('src', clicked_image);
					}).fadeIn(600);
				}
			}
		
			// Event listener for manual clicks
			images.on('click', function () {
				currentIndex = images.index(this);
				updateImage(currentIndex);
			});
		
			// Auto slide every 2 seconds
			var autoSlide = setInterval(function () {
				currentIndex = (currentIndex + 1) % imageCount;
				updateImage(currentIndex);
			}, 6000); // 2000ms = 2 seconds
		
			// Dynamically create and append Previous and Next buttons
			var prevBtn = $('<button class="prev-btn"><i class="fa-solid fa-angle-left"></i></button>');
			var nextBtn = $('<button class="next-btn"><i class="fa-solid fa-chevron-right"></i></button>');
			main_image.parent().append(prevBtn).append(nextBtn);
		
			// "Previous" button functionality
			prevBtn.on('click', function () {
				clearInterval(autoSlide); // Pause auto slide when clicking
				currentIndex = (currentIndex - 1 + imageCount) % imageCount; // Wrap around if < 0
				updateImage(currentIndex);
				autoSlide = setInterval(function () { // Resume auto slide
					currentIndex = (currentIndex + 1) % imageCount;
					updateImage(currentIndex);
				}, 6000);
			});
		
			// "Next" button functionality
			nextBtn.on('click', function () {
				clearInterval(autoSlide); // Pause auto slide when clicking
				currentIndex = (currentIndex + 1) % imageCount; // Wrap around if > imageCount
				updateImage(currentIndex);
				autoSlide = setInterval(function () { // Resume auto slide
					currentIndex = (currentIndex + 1) % imageCount;
					updateImage(currentIndex);
				}, 6000);
			});
		});
	




















	
		
	});






















	
})(jQuery); 